Bug Hunting Session
Bug 113653 - Link external data does not work after updating
Summary: Link external data does not work after updating
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-External-Datalink
  Show dependency treegraph
 
Reported: 2017-11-05 08:48 UTC by jdt37b
Modified: 2019-06-15 03:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
LO 447 OK (14.17 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-06 09:37 UTC, jdt37b
Details
LO 542 KO (10.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-06 09:38 UTC, jdt37b
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jdt37b 2017-11-05 08:48:15 UTC
Description:
Hello,
With a Calc file created in LO 4.4.7, the link to external data is OK, but once it is installed in LO 5.3.7, the link will become KO, as in 5.4.2: Message "Error reading data from the Internet, server error message:. "

Thank you.

Xubuntu 14.04.5, 32-bits, Kernel 3.13.0.135, JRE 6)

Actual Results:  
External data not updated.

Expected Results:
External data updated


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
By reviewing the "Options", on "Fonts", font loading problem in version 5.3 and 5.4)
LO version 5.3 et 5.4 builds made with creation of a new profile.


User-Agent: Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.75 Chrome/62.0.3202.75 Safari/537.36
Comment 1 raal 2017-11-05 09:34:44 UTC
Hello,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 jdt37b 2017-11-06 09:37:40 UTC
Created attachment 137561 [details]
LO 447 OK
Comment 3 jdt37b 2017-11-06 09:38:36 UTC
Created attachment 137562 [details]
LO 542 KO
Comment 4 jdt37b 2017-11-06 09:47:01 UTC
2 attachements.
No results with Trusty 14.04 and LO 5.4.2 because i am returned in 4.4.7 !
But the résult KO with Xenial 16.04.


nb : other problem, base file created in LO 4.4.7 is KO with LO Base 5.3.7 and 5.4.2. (bug 113655)
Comment 5 Buovjaga 2017-11-13 18:04:38 UTC
So do you mean that if B6 gets the content "The link could not be updated." after updating links, the problem is present?
Comment 6 jdt37b 2017-11-13 18:38:38 UTC
Yes, that's the problem, look at the 2 attachments.
In the attached piece LO 4.4.7, we can clearly see an Ok result that goes from B6 to D13, the link having been created in B6.
In the attached piece LO 5.4.2, only B6 is filled with "Impossible d'actualiser le lien", the link having been created also in B6.

This problem exists in Ubuntu Trusty 14.04 LTS and Xenial 16.04 LTS, external data is not recovered with Calc 5.4.2.

To see the link and testing : Menu "Edition" -> "Liens" -> "Actualiser" (in the French version)
Comment 7 Buovjaga 2017-11-13 19:18:59 UTC
Ok, let's set to NEW, then.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: d73225119476de1826f648acca9e93bf6797e813
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 12th 2017
Comment 8 Buovjaga 2018-06-14 13:03:29 UTC
Bisected with Win 5.3 repo to https://cgit.freedesktop.org/libreoffice/core/commit/?id=59d6d5579528a66e55b75987d2d959968db485a8 which does look relevant. I checked that the previous commit does not show the problem.

commit	59d6d5579528a66e55b75987d2d959968db485a8 (patch)
tree	d822d9db81191942d9b2408c6585eb0b373ad169
parent	bb27b2ff87e534b6f4fb9583271db29d6bbae8b6 (diff)
tdf#102499 (9): Fix eXo Platform WebDAV on 'Save Remote File'
Change-Id: I2d2aceed3804f653b79d48eeb02468fc77374eb7
Reviewed-on: https://gerrit.libreoffice.org/29884

Adding Cc: to Giuseppe Castagno
Comment 9 QA Administrators 2019-06-15 03:00:50 UTC
Dear jdt37b,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug